Package org.apache.felix.webconsole.spi

# Class ValidationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.felix.webconsole.spi.ValidationException

All Implemented Interfaces:
  `Serializable`

public class ValidationException extends Exception
A `ConfigurationHandler` should throws a validation exception if an operation is not allowed or not valid.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ValidationException(String message)`
Create validation exception

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ValidationException

public ValidationException(String message)
Create validation exception

Parameters:
  `message` - The validation message